### Enumeration

# GtkTreeViewColumnSizing

#### Declaration

    enum Gtk.TreeViewColumnSizing

#### Description [src]

The sizing method the column uses to determine its width. Please note that `GTK_TREE_VIEW_COLUMN_AUTOSIZE` are inefficient for large views, and can make columns appear choppy.

#### Members

`GTK_TREE_VIEW_COLUMN_GROW_ONLY`

  Columns only get bigger in reaction to changes in the model.

  - Value: `0`
  - Nickname: `grow-only`
  - Available since: 4.0
`GTK_TREE_VIEW_COLUMN_AUTOSIZE`

  Columns resize to be the optimal size every time the model changes.

  - Value: `1`
  - Nickname: `autosize`
  - Available since: 4.0
`GTK_TREE_VIEW_COLUMN_FIXED`

  Columns are a fixed numbers of pixels wide.

  - Value: `2`
  - Nickname: `fixed`
  - Available since: 4.0